# Class default

#### Hierarchy

- Layer
  - default

- Defined in src/offline/Mask.js:35

#####
Index

### Constructors

constructor

### Properties

extentInMeters_
margin_

### Methods

createExtent
render

##
Constructors

### constructor

- new default(layerOptions?, maskOptions?): default

- #### Parameters

  - layerOptions: Options<Source> = {}
  - maskOptions: Options = {}

  #### Returns default

  Overrides Layer.constructor

  - Defined in src/offline/Mask.js:40

##
Properties

### extentInMeters_

extentInMeters_: number

- Defined in src/offline/Mask.js:52

### margin_

margin_: number

- Defined in src/offline/Mask.js:51

##
Methods

### createExtent

- createExtent(center, halfLength): Extent

- #### Parameters

  - center: Coordinate

    center, a xy point.

  - halfLength: number

    a half length of a square's side.

  #### Returns Extent

  an extent.

  - Defined in src/offline/Mask.js:60

### render

- render(frameState): HTMLElement

- #### Parameters

  - frameState: FrameState

  #### Returns HTMLElement

  Overrides Layer.render

  - Defined in src/offline/Mask.js:72